Bug 98957 - Feature request: version-release check
Feature request: version-release check
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-10 17:00 EDT by P Fudd
Modified: 2013-06-23 23:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-02 17:02:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description P Fudd 2003-07-10 17:00:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When someone reports a bug in a piece of software, and they're using an old
version of the software, the bug is probably fixed already.  Entering a bug at
that point would be a waste of everyone's time.

A solution would be to put a button on the bug entry page, next to
'Version-Release of Selected Component (if applicable)'.  The button would say
'Check to see if newer component available'.  It would work much like 'up2date'
does, to find if a newer rpm is available, either in updates or in rawhide.

It would cut down on already-solved-bug reports, saving Redhat employees from
having to read, understand, reply and delete the bugreport, and save
bug-submitters from potential embarrassment.
Comment 1 David Lawrence 2006-04-08 13:53:32 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 2 Penelope Fudd 2006-04-08 16:58:54 EDT
This enhancement is still on the wish-list.

I'd like to cut-and-paste the rpm filename or package name into a new bug
report, and get an authoritative 'this is/is not the current rpm for this
package'.  Additionally, it could tell the user where the current rpm (binary
and source) can be found, especially if it's in testing or rawhide.

Theoretically everyone is running up2date or yum and will never have an outdated
rpm on their system.  Theory never equals practice.  :-)
Comment 3 David Lawrence 2007-11-02 17:02:42 EDT
Given that bugzilla runs on an external site and does not have access to our
internal package databases, we would not be able to implement this properly
unless we keep an updated package list in Bugzilla's own tables. This would be
difficult to maintain. I interim solution would be better documentation to the
users on how to obtain this information from other places.
Comment 4 Penelope Fudd 2007-11-04 02:09:16 EST
That would be acceptable.

Note You need to log in before you can comment on or make changes to this bug.